GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
alarm.h File Reference
`#include "src/core/iomgr/iomgr.h"`
`#include <grpc/support/port_platform.h>`
`#include <grpc/support/time.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_alarm

## Typedefs
typedef struct grpc_alarm | grpc_alarm

## Functions
void | grpc_alarm_init (grpc_alarm *alarm, gpr_timespec deadline, grpc_iomgr_cb_func alarm_cb, void *alarm_cb_arg, gpr_timespec now)
void | grpc_alarm_cancel (grpc_alarm *alarm)

## Typedef Documentation

typedef struct grpc_alarm grpc_alarm

## Function Documentation

void grpc_alarm_cancel | ( | grpc_alarm * | alarm | ) |

void grpc_alarm_init | ( | grpc_alarm * | alarm,
|  | gpr_timespec | deadline,
|  | grpc_iomgr_cb_func | alarm_cb,
|  | void * | alarm_cb_arg,
|  | gpr_timespec | now
| ) |  |